"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Setup_1 = require("../commands/Setup");
const Relink_1 = require("../commands/Relink");
const Rebuild_1 = require("../commands/Rebuild");
exports.commandMap = {
    setup: Setup_1.Setup,
    install: Setup_1.Setup,
    relink: Relink_1.Relink,
    rebuild: Rebuild_1.Rebuild,
};
exports.defaultHelp = `
Global Options:

--base-dir, --target-dir, -b, -t
  specify which build directory to target.
  overrides config file value

--config-path, -c
  specify path to config file
  ./projects.yml by default

--help, -h
  help with the particular command
`;
exports.defaultFlags = {
    buildDir: {
        name: 'baseDir',
        alias: 'b',
        default: null,
        type: 'string',
    },
    targetDir: {
        name: 'targetDir',
        alias: 't',
        default: null,
        type: 'string',
    },
    configPath: {
        name: 'configPath',
        alias: 'c',
        type: 'string',
    },
    help: {
        name: 'help',
        alias: 'h',
        type: 'boolean',
    },
};
exports.listAvailableCommands = () => {
    return Object.values(exports.commandMap)
        .filter(cmd => cmd.commandName)
        .reduce((list, cmd) => `${list}\n - yarn-compose ${cmd.commandName}`, '');
};
exports.getMeowConfig = (argv) => ({
    flags: exports.defaultFlags,
    autoHelp: false,
    argv: argv.slice(3),
});
