"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Command_1 = require("../Command");
const lib_1 = require("../lib");
const linkedFilter = (project) => !!project.links && project.links.length > 0;
class Relink extends Command_1.Command {
    constructor(options) {
        super(options);
        this.relinkDependencies = this.relinkDependencies.bind(this);
    }
    relinkDependencies(projectDir, project, opts) {
        if (project.types) {
            lib_1.linkTypes(projectDir, project, this.config);
        }
        lib_1.linkDependencies(projectDir, project, opts);
    }
    run() {
        super.eachProject(lib_1.linkSelf);
        super.eachProject(this.relinkDependencies, {
            filter: linkedFilter,
        });
    }
}
Relink.commandName = 'relink';
Relink.commandHelp = `
re-links dependencies
  `;
exports.Relink = Relink;
