"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const yaml = require("js-yaml");
const fs = require("fs");
const path = require("path");
const chalk_1 = require("chalk");
const getPkgInfo = require("pkginfo");
const pkginfo = getPkgInfo(module);
const LOG_PREFIX = 'yarn-compose';
function getConfig(configPath) {
    return yaml.safeLoad(fs.readFileSync(configPath, 'utf8'));
}
exports.getConfig = getConfig;
function repoExists(projectPath) {
    return fs.existsSync(path.join(projectPath, '.git'));
}
exports.repoExists = repoExists;
const log = console.log;
exports.logger = {
    meta: (msg) => log(chalk_1.default.whiteBright.bold(`${LOG_PREFIX} ${msg} v${pkginfo.version}\n`)),
    success: (msg) => log(`${chalk_1.default.green.bold('success')} ${msg}`),
    info: (msg) => log(`${chalk_1.default.green.bold('success')} ${msg}`),
    iterateInfo: (msg, countOf) => log(`${chalk_1.default.grey(`[${countOf[0]}/${countOf[1]}]`)} ${chalk_1.default.green.bold('success')} ${msg}`),
    warn: (msg) => log(`${chalk_1.default.yellow('warn')} ${msg}`),
    error: (msg) => log(`${chalk_1.default.red('error')} ${msg}`),
    help: (msg) => log(msg),
};
